Subject: Re: bug#15414: 24.3; piping problems in eshell

From: Joseph Mingrone <[email-masked]>
Date: Thu, 19 Sep 2013 12:04:00 -0300

Glenn Morris <[email-masked]> writes:

> Joseph Mingrone wrote:
>
>> 1. emacs -Q
>> 2. M-x eshell
>> 3. cat a_file | wc -l
>>
>> The output of 3. will be wrong for most files longer than something like
>> 40 lines and it will often give different results each time 3. is run.
>
> FWIW, I did not see this in 100 repetitions on a 100 line file, on
> either of two systems. I got the correct answer every time.
>
> I did notice that
>
>   cat does-not-exist | wc -l 
>
> returns 1 though.

Were either of those systems running FreeBSD?

~ $ uname -a
Linux node8 3.5.0-27-generic #46~precise1-Ubuntu SMP Tue Mar 26 19:33:21
UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
$ wc -l q08-02a.qzp
82 q08-02a.qzp
~ $ cat q08-02a.qzp | wc -l
82

$ uname -a
FreeBSD phe 9.1-STABLE FreeBSD 9.1-STABLE #0 r247012: Tue Feb 19 21:45:31 AST 2013     [email-masked]:/usr/obj/usr/src/sys/PHE  amd64
$ wc -l q08-02a.qzp 
      82 q08-02a.qzp
$ cat q08-02a.qzp | wc -l
      51

If there is anything else I can test, please let me know.

Joseph